This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1310393 - calligra included problematic content
calligra included problematic content
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: calligra (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2016-02-21 05:07 EST by mejiko
Modified: 2016-05-09 09:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-09 09:30:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 359633 None None None 2016-02-21 07:16 EST

  None (edit)
Description mejiko 2016-02-21 05:07:14 EST
Hello.

calligra included non-free image. 
This is "Lena" (Lenna) image. (PNG file)


File List:

"calligra-2.9.11/krita/plugins/filters/tests/data/lena*.png"
"calligra-2.9.11/krita/ui/test/data/lena.png"
"calligra-2.9.11/krita/sdk/test/data/lena.png"
"calligra-2.9.11/krita/plugins/tools/defaulttools/tests/data/lena*.png"


This file license (Copyright) is non-free, and this content is violate Fedora Packaging Guideline.

https://fedoraproject.org/wiki/Packaging:Guidelines#Code_Vs_Content


Reference:

https://lintian.debian.org/tags/license-problem-non-free-img-lenna.html
Comment 1 Rex Dieter 2016-02-21 07:16:36 EST
reported upstream,
https://bugs.kde.org/show_bug.cgi?id=359633
Comment 2 Jan Kurik 2016-02-24 10:28:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 mejiko 2016-05-09 09:16:49 EDT
Upstream already Resolved.

Is this bug is resolved ?

Thanks.
Comment 4 Rex Dieter 2016-05-09 09:30:13 EDT
It's resolved as far as I'm concerned, and future upstream releases will no longer include this content.

Feel free to reopen if you feel otherwise.

Note You need to log in before you can comment on or make changes to this bug.